Cyberduck Mountain Duck CLI

#8554 closed enhancement (fixed)

Support chacha20-poly1305@openssh.com cipher

Reported by: lbort Owned by: dkocher
Priority: normal Milestone: 7.9.0
Component: sftp Version: 4.6.4
Severity: normal Keywords: ssh, ciphers
Cc: Architecture: Intel
Platform:

Description

This is in the line of tickets #8488, #8528 and #8537, but not as urgent as the key exchange algorithms.

Apparently the ciphers aes256-ctr, aes192-ctr and aes128-ctr which are left after #8537 are still secure if Encrypt-then-MAC is used, but they do not offer authenticated encryption. Chacha20-poly1305 fixes this.

Change History (5)

comment:1 Changed on Feb 6, 2015 at 9:05:14 AM by dkocher

  • Type changed from defect to enhancement

comment:3 Changed on Apr 20, 2021 at 9:02:18 AM by dkocher

  • Milestone set to 8.0
  • Status changed from new to assigned

comment:4 Changed on Apr 28, 2021 at 6:26:40 AM by yla

  • Milestone changed from 8.0 to 7.8.6
  • Resolution set to fixed
  • Status changed from assigned to closed

In r51061.

comment:5 Changed on Apr 29, 2021 at 5:27:41 PM by dkocher

  • Milestone changed from 7.8.6 to 7.9.0

Milestone renamed

Note: See TracTickets for help on using tickets.